M_CDKEY_GiftCFG = {}

function M_CDKEY_GiftCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_CDKEY_GiftCFG:init()
	self.datas = {}
	self.datas[1] = {GiftId = 1, GiftName = "至尊豪华礼包", Gold = 25000, Gem = 25, DragbonBall = 0, Item = {}}
	self.datas[2] = {GiftId = 2, GiftName = "贵族钻石礼包", Gold = 10000, Gem = 10, DragbonBall = 0, Item = {}}
	self.datas[3] = {GiftId = 3, GiftName = "新手黄金礼包", Gold = 5000, Gem = 5, DragbonBall = 0, Item = {}}
	self.datas[4] = {GiftId = 4, GiftName = "测试用礼包", Gold = 0, Gem = 0, DragbonBall = 0, Item = {106,10}}
	self.datas[5] = {GiftId = 5, GiftName = "圣诞豪华礼包", Gold = 20000, Gem = 20, DragbonBall = 0, Item = {}}
	self.datas[6] = {GiftId = 6, GiftName = "超级炮台豪华礼包", Gold = 25000, Gem = 25, DragbonBall = 0, Item = {505,1}}
end

M_CDKEY_GiftCFG:init()
